WinRas.RASDIALPARAMS (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinRas, class: RASDIALPARAMS

Package com.sun.jna.platform.win32

# Class WinRas.RASDIALPARAMS

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinRas.RASDIALPARAMS

Direct Known Subclasses:
  `WinRas.RASDIALPARAMS.ByReference`

Enclosing interface:
  WinRas

@FieldOrder({"dwSize","szEntryName","szPhoneNumber","szCallbackNumber","szUserName","szPassword","szDomain"}) public static class WinRas.RASDIALPARAMS extends Structure
The RASDIALPARAMS structure contains parameters that are used by RasDial to establish a remote access connection.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinRas.RASDIALPARAMS.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `dwSize`
  A value that specifies the size, in bytes, of the structure.
  `char[]`
  `szCallbackNumber`
  A null-terminated string that contains a callback phone number.
  `char[]`
  `szDomain`
  A null-terminated string that contains the domain on which authentication is to occur.
  `char[]`
  `szEntryName`
  A null-terminated string that contains the phone-book entry to use to establish the connection.
  `char[]`
  `szPassword`
  A null-terminated string that contains the user's password.
  `char[]`
  `szPhoneNumber`
  A null-terminated string that contains an overriding phone number.
  `char[]`
  `szUserName`
  A null-terminated string that contains the user's user name.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RASDIALPARAMS()`
  `RASDIALPARAMS(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwSize

    public int dwSize
    A value that specifies the size, in bytes, of the structure.

  - ### szEntryName

    public char[] szEntryName
    A null-terminated string that contains the phone-book entry to use to establish the connection. An empty string ("") specifies a simple modem connection on the first available modem port, in which case a non-empty szPhoneNumber must be provided.

  - ### szPhoneNumber

    public char[] szPhoneNumber
    A null-terminated string that contains an overriding phone number. An empty string ("") indicates that the phone-book entry's phone number should be used. If szEntryName is "", szPhoneNumber cannot be "".

  - ### szCallbackNumber

    public char[] szCallbackNumber
    A null-terminated string that contains a callback phone number. An empty string ("") indicates that callback should not be used. This string is ignored unless the user has "Set By Caller" callback permission on the RAS server. An asterisk indicates that the number stored in the phone book should be used for callback.

  - ### szUserName

    public char[] szUserName
    A null-terminated string that contains the user's user name. This string is used to authenticate the user's access to the remote access server.

  - ### szPassword

    public char[] szPassword
    A null-terminated string that contains the user's password. This string is used to authenticate the user's access to the remote access server.

  - ### szDomain

    public char[] szDomain
    A null-terminated string that contains the domain on which authentication is to occur. An empty string ("") specifies the domain in which the remote access server is a member. An asterisk specifies the domain stored in the phone book for the entry.

- ## Constructor Details

  - ### RASDIALPARAMS

    public RASDIALPARAMS()

  - ### RASDIALPARAMS

    public RASDIALPARAMS(Pointer memory)